#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);
    /*
    noob solver

    int n;
    cin >> n;
    vector<double> plate(n);
    vector<double> procenti(n);
    for(int i = 0; i < n; i++){
        cin >> plate[i] >> procenti[i];
    }

    double maksPare = -1;
    for(int i = 0; i < n; i++){
        double pare = 0;
        for(int j = 0; j < n; j++){
            if(procenti[j] >= procenti[i]){
                pare += (plate[j] * procenti[i] / 100);
            }
        }
        if(pare > maksPare)
            maksPare = pare;
    }
    cout << fixed << setprecision(4) << maksPare;
    */

    int n;
    cin >> n;
    vector<pair<double, double> > dobar_niz(n);
    double suma = 0;
    for(int i = 0; i < n; i++){
        double procenat, plata;
        cin >> plata >> procenat;
        suma += plata;
        dobar_niz[i] = make_pair(procenat, plata);
    }
    sort(dobar_niz.begin(), dobar_niz.end());
    /*
    for(int i = 0; i < n; i++){
        cout << dobar_niz[i].first << " " << dobar_niz[i].second << endl;
    }*/
    double maksPare = -1;
    for(int i = 0; i < n; i++){
        double pare = suma * dobar_niz[i].first / 100;
        if(pare > maksPare)
            maksPare = pare;
        suma -= dobar_niz[i].second;
    }
    cout << fixed << showpoint << maksPare;
}